package yangtz.cs.liu.campus.service.schoolClass;

import com.baomidou.mybatisplus.extension.service.IService;
import yangtz.cs.liu.campus.domain.schoolClass.SchoolClassMentor;
import yangtz.cs.liu.campus.domain.schoolgrade.SchoolGradeMentor;
import yangtz.cs.liu.campus.vo.schoolClass.SchoolClassMentorVo;
import yangtz.cs.liu.campus.vo.schoolgrade.SchoolGradeMentorVo;

import java.util.List;
import java.util.Map;

public interface ISchoolClassMentorService extends IService<SchoolClassMentor> {

    public List<SchoolClassMentorVo> selectSchoolClassMentorList(SchoolClassMentorVo schoolClassMentorVo);
    public Map<String,String> selectTeacherGroupMentot(Long userId);

    public SchoolClassMentorVo selectSchoolClassMentorById(Long id);

    public String selectTeacherName(SchoolClassMentor schoolClassMentor);


    public SchoolClassMentor selectSchoolClassById(Long id);

    List<SchoolClassMentorVo> exportByIds(List<Integer> ids,Long classId);
}
